OLD /* --primary-color: 	#484c7f; */
NEW /* --primary-color: 	#011744; */ {
}

@font-face {
  font-family: "GOTHIC"; /*a name to be used later*/
  src: url("../fonts/GOTHIC.TTF"); /*URL to font*/
}

p,
div,
h1,
h2,
h3,
h4,
h5,
h6,
span,
a {
  font-family: "GOTHIC" !important;
  /* font-weight: 600; */
}

/* Login Page */
#mytask-layout > .login-div {
  /* background-color: #011744 !important; */
  background-color: var(--primary-color) !important;
}
.login-div {
  background-color: var(--primary-color) !important;
}
[requires-admin-permission] {
  display: none;
}
.selectedRow {
  background: #eee;
}

.on_progress {
  background: #3890d1;
  padding: 3px 12px;
  border-radius: 99px;
  color: #fff;
  font-size: smaller;
  font-weight: bold;
  white-space: nowrap;
}
.on_hold {
  background: orange;
  padding: 3px 12px;
  border-radius: 99px;
  color: #fff;
  font-size: smaller;
  font-weight: bold;
  white-space: nowrap;
}
.done {
  background: green;
  padding: 3px 12px;
  border-radius: 99px;
  color: #fff;
  font-size: smaller;
  font-weight: bold;
  white-space: nowrap;
}
.type_project {
  background-color: var(--primary-color);
  padding: 2px 8px;
  color: #fff;
  border-radius: 99px;
  font-size: smaller;
  font-weight: bold;
}
.type_task {
  background-color: var(--bs-teal);
  padding: 2px 8px;
  color: #fff;
  border-radius: 99px;
  font-size: smaller;
  font-weight: bold;
}
.type_subtask {
  background-color: #ec4d5d;
  padding: 2px 8px;
  color: #fff;
  border-radius: 99px;
  font-size: smaller;
  font-weight: bold;
}
.project_title_followup_cat {
  color: gray;
  font-size: 12px;
}
.project_title_followup_cat:empty {
  display: none;
}

.on_progress-span {
  background: #000428; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to right,
    #004e92,
    #000428
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #004e92,
    #000428
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  padding: 2px 8px;
  color: #fff;
  border-radius: 99px;
  font-size: smaller;
  font-weight: bold;
  white-space: nowrap;
}
.on_hold-span {
  background: #ff512f; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to right,
    #f09819,
    #ff512f
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #f09819,
    #ff512f
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  padding: 2px 8px;
  color: #fff;
  border-radius: 99px;
  font-size: smaller;
  font-weight: bold;
  white-space: nowrap;
}
.done-span {
  background: #1d976c; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to right,
    #1d976c,
    #93f9b9
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #1d976c,
    #93f9b9
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  padding: 2px 8px;
  color: #fff;
  border-radius: 99px;
  font-size: smaller;
  font-weight: bold;
  white-space: nowrap;
}

/* .loadingContainer{
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.6);
    color: #fff;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
} */

.footer {
  background: #b39f7e;
  position: absolute;
  bottom: 0px;
  left: 0px;
  width: 100%;
  text-align: center;
}
.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  border-top: 4px solid #fff;
  border-right: 4px solid transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}
.loader::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  left: 0;
  top: 0;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  border-left: 4px solid #fcd401;
  border-bottom: 4px solid transparent;
  animation: rotation 0.5s linear infinite reverse;
}
@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.ChatDiv {
  height: 70vh;
}

.chat-history::-webkit-scrollbar {
  width: 5px !important;
}
.chat-history::-webkit-scrollbar-track {
  background: #f1f1f1 !important;
}
.chat-history::-webkit-scrollbar-thumb {
  background: #888 !important;
  border-radius: 10px;
}
.chat-history::-webkit-scrollbar-thumb:hover {
  background: #555 !important;
}

.mentionsOpen {
  position: absolute;
  border-radius: 10px;
  border: 1px solid var(--primary-color);
  padding: 8px 16px;
  background: beige;
  font-weight: bold;
  bottom: 75px;
  cursor: pointer;
  line-height: 1.6;
}
.mentionsOpen ul {
  padding-left: 0px;
  margin-bottom: 0px;
}
.mentionsClose {
  display: none;
}

.mentionsOpen li {
  list-style-type: none;
}

.filepond--credits {
  display: none;
}
.pagination {
  display: flex;
  justify-content: center;
}

.search-criteria-btns {
  display: flex;
  flex-direction: row;
}

.form-control,
.form-select {
  background-color: #fff !important;
}

.sidebar {
  width: 230px;
}

.sidebar .menu-list .m-link {
  color: ffffff;
  font-size: 16px !important;
}

.brand-icon .logo-icon {
  margin-left: auto;
  margin-right: auto;
  background: none;
}

.logo-text {
  font-size: 16px !important;
  color: black !important;
}

#userAvatarContainer .filepond--list-scroller {
  display: none !important;
}

.active-users.active {
  font-size: 16px;
  transition: 0.5s;
  box-shadow: 0px 0px 15px 0px #dedede;
  color: var(--primary-color);
}

.inactive-users.active {
  font-size: 16px;
  transition: 0.5s;
  box-shadow: 0px 0px 15px 0px #dedede;
  color: var(--primary-color);
}

.deleted-users.active {
  font-size: 16px;
  transition: 0.5s;
  box-shadow: 0px 0px 15px 0px #dedede;
  color: var(--primary-color);
}
.dead-users.active {
  font-size: 16px;
  transition: 0.5s;
  box-shadow: 0px 0px 15px 0px #dedede;
  color: var(--primary-color);
}

.filepond--drop-label {
  transform: translate3d(0px, 0px, 0px) !important;
  opacity: 1 !important;
  visibility: visible !important;
  pointer-events: unset !important;
}

.showPasswordIcon {
  color: var(--primary-color);
  font-size: large;
  position: absolute;
  right: 14%;
  cursor: pointer;
}
.dashboardMain {
  background-image: url("../images/mainPlatform_bg.jpg");
  background-size: cover;
  object-fit: cover;
  background-position: center;
  height: calc(90vh - 52px);
  border-radius: 15px;
}

.dashboardBanners {
  background: rgb(255 255 255 / 90%);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 15px;
  box-shadow: 0px 5px 10px -5px #d7c19d;
  color: #b39f7e;
}

.uploadAvatarDivStyle {
  width: 150px;
}

.filepond--drop-label.filepond--drop-label label {
  width: 140px;
  position: absolute;
  top: -11px;
  left: -8px;
  text-align: left;
}

.uploadKatastatiko {
  width: 220px !important;
}

.filepond--label-action {
  /* width: 150px;
    position: absolute;
    top: 0px;
    left: 0px; */
  /* visibility: hidden; */
  text-decoration: none !important;
}
.filepond--label-action:after {
  /* content: 'Επιλογή εικόνας'; */
  color: #181818;
  position: absolute;
  top: 6px;
  width: 140px;
  left: 7px;
  visibility: visible;
}

.searchIcon {
  position: absolute;
  left: 5%;
  font-size: 1.15rem;
  color: #c9c9c9;
  padding-top: 0.3em;
  z-index: 1;
}
.input-group-lg > .form-control {
  padding: 0.5rem 3rem;
  font-size: 1rem;
  border-radius: 30px;
}

.input-group
  > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(
    .valid-feedback
  ):not(.invalid-tooltip):not(.invalid-feedback) {
  border-top-left-radius: 30px;
  border-bottom-left-radius: 30px;
}

.descriptionText {
  white-space: pre-line;
}

.table tr td {
  border-color: var(--secondary-color);
}

.loadingDiv {
  position: absolute;
  background: var(--primary-color);
  width: 100%;
  height: 100vh;
  left: 0;
  top: 0;
  z-index: 9999;
}

.dot-flashing {
  position: relative;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #ffffff;
  color: #ffffff;
  animation: dot-flashing 1s infinite linear alternate;
  animation-delay: 0.5s;
}
.dot-flashing::before,
.dot-flashing::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 0;
}
.dot-flashing::before {
  left: -15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #ffffff;
  color: #ffffff;
  animation: dot-flashing 1s infinite alternate;
  animation-delay: 0s;
}
.dot-flashing::after {
  left: 15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #ffffff;
  color: #ffffff;
  animation: dot-flashing 1s infinite alternate;
  animation-delay: 1s;
}

#main-header > div > nav > div > button > span:before {
  content: url("/admin/assets/images/burger.png");
}

.tabUserStatus {
  box-shadow: inset -4px -2px 8px -5px #b39f7e7a;
  border: 0px;
  border-radius: 0px;
}

.tabUserStatus:hover {
  transition: 0.5s;
  box-shadow: 0px 0px 15px 0px #dedede;
}
.img-thumbnail {
  object-fit: cover;
}

.profile-view-container .card {
  border-radius: 10px;
}
.headInfoMember {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
#profile-view {
  border-bottom: 10px solid #b39f7e;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.logo-header-mobile {
  display: none;
}

@media only screen and (max-width: 1680px) {
  .dashboardMain {
    height: calc(90vh - 73px);
  }
}

@media only screen and (max-width: 48em) {
  .userFiltersDiv {
    flex-direction: column;
  }
  .user-profile {
    flex-direction: row-reverse;
  }
  .search-criteria {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
  .search-criteria-btns {
    display: flex;
    flex-direction: row;
  }
  .datePickDiv {
    justify-content: center !important;
  }
  .descriptionTextMobile {
    white-space: nowrap;
    max-width: 33vw;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .descriptionText {
    /* white-space: nowrap;
        max-width: 250px;
        overflow: hidden;
        text-overflow: ellipsis; */
  }
  .dropdown-menu.show {
    position: absolute;
    top: 0px;
    left: 0px;
  }
  .footer {
    position: fixed;
    clear: both;
    height: 30px;
    margin-top: -20px;
  }
  .mainHeaderTitle {
    text-align: center;
    width: 80%;
    margin: 0 auto;
  }
  .usersFilter {
    flex-direction: column;
  }
  .dashboardBanners h4 {
    font-size: 15px;
  }
  .dashboardMain {
    border-radius: 0px;
  }
  .TableMobAnnTitle {
  }
  .TableMobAnnDesc {
    display: none;
  }
  .TableMobAnnActive {
    display: none;
  }
  .TableMobAnnActions {
    text-align: right;
  }
  textarea.form-control {
    min-height: calc(1.5em + 10rem + 2px);
  }
  .edit-announcement,
  .deleterow {
    padding: 4px 8px;
  }
  .requestFilterDivMobile {
    flex-direction: column;
  }
  .usersFilterDivMobile {
    flex-direction: column;
  }
  .mobHeaderPosition {
    order: 3 !important;
  }
  .menu-toggle {
    position: relative; /* ή absolute αν χρειάζεται */
    z-index: 1050; /* πάνω από dropdowns, overlays */
    cursor: pointer;
  }
  .header .user-profile,
  .dropdown-menu {
    z-index: 1000; /* λιγότερο από το menu toggle */
  }
  .logo-header-mobile {
    display: unset;
  }
}
